Announcement

Collapse
No announcement yet.

EE problems

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • EE problems

    Hello every one I am new here and am only about 10 days old in the Linux department.
    I am having some major problems with installing ATI drivers on ubuntu Gutsy my Vid card is an radeon x800 AGP I have search through various forums for the past week and reinstalled Gutsy at least ten times. anyways,after doing the less /var/log/Xorg.0.log |grep EE command via terminal it comes up with this
    Code:
    less /var/log/Xorg.0.log |grep EE
            (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (II) Loading extension MIT-SCREEN-SAVER
    (EE) fglrx(0): [agp] unable to acquire AGP, error -1023
    (EE) fglrx(0): cannot init AGP
    (EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized. 
    (EE) AIGLX: Screen 0 is not DRI capable
    I don't know how to Cure this problem when I installed the drivers I used Envy the first install was a total failure using Envy but I was using fiesty then I upgraded to Gutsy and it failed again so I decided to just download Gutsy ( instead of just upgrading) and burned and install it via disk then used Envy and the drivers installed correctly but being a complete over confident idiot ( at that time) I messed it up did anpther Gutsy reinstall and since then I couldn't get the drivers to reinstall correctly and after uninstall/reinstalling over ten times I and going through the posts 100sof posts here http://ubuntuforums.org/ I finally got fedup with all the different answers so I did a few searchs and tryed allot of different methods now I am here and after reading just a couple of posts it seems like everyone here know what they are doing and can teachme allot of thing that can help me solve my problems ( I apologize for the long winded post)

  • #2
    Which driver version are you running ?

    Did the system work properly with 3d graphics under a different OS before, ie is all the chipset and BIOS setup likely to be correct ?

    Comment


    • #3
      Originally posted by bridgman View Post
      Which driver version are you running ?

      Did the system work properly with 3d graphics under a different OS before, ie is all the chipset and BIOS setup likely to be correct ?
      Thanks for the reply
      well it worked correctly one once with everything the same the drivers that worked about 11 reinstalls ago where ati-driver-installer-8-01-x86.x86_64.run but that was the first time that I installed Ubuntu Gutsy ( but I messed up and did another reinstall of Gutsy the exact same way with the same way Via Envy and it hasn't worked since. I actually am trying all over again I just reinstalled Gutsy and am trying to Manually install the driver using this forum but am running into an error
      Code:
       sudo sh ati-driver-installer-8-01-x86.x86_64.run --buildpkg Ubuntu/gutsy
      sh: Can't open ati-driver-installer-8-01-x86.x86_64.run
      I am not sure whats going on so basically I am stuck now

      Comment


      • #4
        Do you have a /dev/agpgart device? What's the output of 'lsmod'? If you see i82875p_edac in the list, make sure you blacklist that module and then reboot.

        Adam

        Comment


        • #5
          maybe you need to specify full path to .run file when doing sudo ?

          Comment


          • #6
            Do you have a /dev/agpgart device? What's the output of 'lsmod'? If you see i82875p_edac in the list, make sure you blacklist that module and then reboot.

            Adam
            and how do I do this? ok I figured out how to find and black list i82875p_edac I am not sure of /dev/agpgart device means
            Last edited by Paroxysm; 02-11-2008, 06:58 PM.

            Comment


            • #7
              Originally posted by Paroxysm View Post
              and how do I do this? ok I figured out how to find and black list i82875p_edac I am not sure of /dev/agpgart device means
              ok I totally uninstalled the driver then followed this guild http://wiki.cchtml.com/index.php/Ubu...allation_Guideto reinstall but after doing this command
              Quote:
              less /var/log/Xorg.0.log |grep EE
              I still get this
              Quote:
              (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
              (II) Loading extension MIT-SCREEN-SAVER
              (EE) fglrx(0): [agp] unable to acquire AGP, error -1023
              (EE) fglrx(0): cannot init AGP
              (EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized.
              also
              Quote:
              fglrxinfo
              display: :0.0 screen: 0
              OpenGL vendor string: Mesa project: www.mesa3d.org
              OpenGL renderer string: Mesa GLX Indirect
              OpenGL version string: 1.4 (2.1 Mesa 7.0.1)
              which is a hair puller lol

              Comment

              Working...
              X